#
# spec file for package Femto-Emacs
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           Femto-Emacs
Version:        0.0+git.20161016
Release:        4.8
Summary:        Tiny Emacs clone with configuring in FemtoLisp
License:        SUSE-Public-Domain
Group:          Productivity/Text/Editors
Url:            https://github.com/FemtoEmacs/Femto-Emacs
Source0:        %{name}-%{version}.tar.xz
Patch0:         move_to_lib.patch
BuildRequires:  ncurses-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Exclusivearch:  %{ix86} x86_64

%description
Tiny emacs clone that can be configured with FemtoLisp.

%prep
%setup -q
%patch0 -p1

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
install -d -m 0755 %{buildroot}%{_bindir}
install -D -m 0755 -t %{buildroot}%{_bindir} femto
install -d -m 0755 %{buildroot}%{_libexecdir}/%{name}
install -D -m 0755 -t %{buildroot}%{_libexecdir}/%{name} femto.boot


%files
%defattr(-,root,root,-)
%doc README.md CHANGE.LOG.md
%{_bindir}/femto
%{_libexecdir}/%{name}

%changelog
* Thu Oct 20 2016 mpluskal@suse.com
- Build only on supported architectures
- Use correct package group
* Wed Oct 19 2016 mpluskal@suse.com
- Update to version 0.0+git.20161016:
  * Fixed horrible intermittant bug with first copy at end of buffer to reproduce open a file with 5 lines all the same set the mark at the top of file, goto end of buffer esc-w to copy to clipboard. The paste back in looks currupted. This is because the gap has been moved after the pointer was taken before the copy.
  * whitespaces changes only, removed trailing spaces and tabs from end of lines.
  * cleaned up set-mark code and checking of mark and region, reporting of errors.
  * added upcase-region, down-case-region and clear-message-line
  * sorted key binding list for list-bindings, other small changes
  * added comments to init.lsp
  * Potential fix for seg fault when kill-region is larger than 1000 chars and (environment) returns more than list_result chars.
  * Sequence notation
  * added flag to getinput() so that buffer can be optionally cleared
* Tue Oct 18 2016 sleep_walker@opensuse.org
- add femto.boot to the package
- move_to_lib.patch - move femto.boot to libexecdir
* Mon Oct 17 2016 sleep_walker@opensuse.org
- let there be Femto-Emacs!
